{% extends 'base.html' %}
{% load static %}

{% block content %}
    <!-- BREADCRUMB -->
		<div id="breadcrumb" class="section">
			<!-- container -->
			<div class="container">
				<!-- row -->
				<div class="row">
					<div class="col-md-12">
						<ul class="breadcrumb-tree">
							<li><a href="#">Home</a></li>
							<li><a href="#">All Categories</a></li>
							<li><a href="#">Accessories</a></li>
							<li><a href="#">Headphones</a></li>
							<li class="active">Product name goes here</li>
						</ul>
					</div>
				</div>
				<!-- /row -->
			</div>
			<!-- /container -->
		</div>
		<!-- /BREADCRUMB -->

		<!-- SECTION -->
		<div class="section">
			<!-- container -->
			<div class="container">
				<!-- row -->
				<div class="row">
					<!-- Product main img -->
					<div class="col-md-5 col-md-push-2">
						<div id="product-main-img">
							<div class="product-preview">
								<img src="{{ product.main_photo.url }}" alt="">
							</div>
                            {% for image in product.additional_images.all %}
                                <div class="carousel-item active">
                                    <img src="{{ image.image.url }}" class="img-fluid" alt="No image">
                                </div>
                            {% endfor %}
						</div>
					</div>
					<!-- /Product main img -->

					<!-- Product thumb imgs -->
					<div class="col-md-2  col-md-pull-5">
						<div id="product-imgs">
							<div class="product-preview">
								<img src="{{ product.main_photo.url }}" alt="">
							</div>
                            {% for image in product.additional_images.all %}
                                <div class="product-preview">
                                    <img src="{{ image.image.url }}" alt="">
                                </div>
                            {% endfor %}
						</div>
					</div>
					<!-- /Product thumb imgs -->

                    <!-- Product details -->
					<div class="col-md-5">
						<div class="product-details">
							<h2 class="product-name">{{ product.name }}</h2>
							<div>
								<div class="product-rating">
									<i class="fa fa-star"></i>
									<i class="fa fa-star"></i>
									<i class="fa fa-star"></i>
									<i class="fa fa-star"></i>
									<i class="fa fa-star-o"></i>
								</div>
								<a class="review-link" href="#">10 Review(s) | Add your review</a>
							</div>
							<div>
								<h3 class="product-price">${{ product.price }} <del class="product-old-price"> ${{ product.price }}</del></h3>
								<span class="product-available">In Stock</span>
							</div>
							<p>{{ product.short_description}}</p>
							<div class="product-options">
								<label>
									Size
									<select class="input-select">
										<option value="0">X</option>
									</select>
								</label>
								<label>
									Color
									<select class="input-select">
										<option value="0">Red</option>
									</select>
								</label>
							</div>

							<div class="add-to-cart">
								<div class="qty-label">
									Qty
									<div class="input-number">
										<input type="number">
										<span class="qty-up">+</span>
										<span class="qty-down">-</span>
									</div>
								</div>
								<button class="add-to-cart-btn"><i class="fa fa-shopping-cart"></i> add to cart</button>
							</div>
						</div>
					</div>
					<!-- /Product details -->

                    <div class="col-md-12">
						<div id="product-tab">
							<!-- product tab nav -->
							<ul class="tab-nav">
								<li class="active"><a data-toggle="tab" href="#tab1">Описание</a></li>
								<li><a data-toggle="tab" href="#tab2">Энергия</a></li>
							</ul>
							<!-- /product tab nav -->

							<!-- product tab content -->
							<div class="tab-content">
								<!-- tab1  -->
								<div id="tab1" class="tab-pane fade in active">
									<div class="row">
										<div class="col-md-12">
											<p>{{ product.short_description }}</p>
                                            <p>{{ product.full_description }}</p>
										</div>
									</div>
								</div>
								<!-- /tab1  -->

								<!-- tab2  -->
								<div id="tab2" class="tab-pane fade in">
									<div class="row">
										<div class="col-md-12">
                                            <p>Белки: {{ product.proteins }}</p>
                                            <p>Жиры: {{ product.fats }}</p>
                                            <p>Углеводы: {{ product.carbohydrates }}</p>
                                        </div>
									</div>
								</div>
								<!-- /tab2  -->
                            </div>
                        </div>
					</div>
				</div>
			</div>
		</div>




{% comment %}
    <section class="ftco-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 mb-5 ">
                    <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                        <div class="carousel-inner">
                            <div class="carousel-item active">
                                <img src="{{ product.main_photo.url }}" class="img-fluid" alt="No image">
                            </div>

                            {% for image in product.additional_images.all %}
                                <div class="carousel-item">
                                    <a href="{{ image.image.url }}" class="image-popup"><img
                                            src="{{ image.image.url }}" class="img-fluid" alt="No image"></a>
                                </div>
                            {% endfor %}

                        </div>
                        <b>NEED JS Carousel FIX</b>
                        <a class="carousel-control-prev" href="#carouselExampleControls" role="button"
                           data-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="sr-only">Previous</span>
                        </a>
                        <a class="carousel-control-next" href="#carouselExampleControls" role="button"
                           data-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="sr-only">Next</span>
                        </a>
                    </div>
                </div>
                <div class="col-lg-6 product-details pl-md-5 my-animated">
                    <h3>{{ product.name }}</h3>
                    <p class="price"><span>${{ product.price }}</span></p>
                    <p>
                        {{ product.full_description }}
                    </p>
                    <p>
                        Белки: {{ product.proteins }}
                    </p>
                    <p>
                        Жиры: {{ product.fats }}
                    </p>
                    <p>
                        Углеводы: {{ product.carbohydrates }}
                    </p>
                     <p><a href="{% url 'cart:cart_add' product.id %}" class="btn btn-black" data-id="{{ product.id }}">Добавить в корзину
                    </a></p>
                    <div id="unauthorized_error" class="alert alert-danger" role="alert">
                        Только залогиненые пользователи могут добавлять товары в корзину. <a href="{% url 'login' %}" class="alert-link">Войти</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endcomment %}
{% endblock %}


{% block scripts %}
<script type="text/javascript">
    $(document).ready(function(){
        $('.add_to_cart').on('click', function(){
            product_id = $(this).attr('data-id')
            data = {
                product_id: product_id
            }

            $.ajax({
                type: 'GET',
                url: '{% url "cart:cart_create" %}',
                data: data,
                success: function(data){
                    console.log('success')
                }
            })
        })
    });
</script>
{% endblock %}
